# Class: LLNode

## undercomplicateLLNode(key, value, metadata, prev, next)

Implement an LRU Cache

## Constructor

#### new LLNode(key, value, metadata, prev, next)

A single node in the linked list. Users will only need to deal with this class if using "approximate match" (`cache.find()`)

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`key` | string |  |
`value` | * |  |
`metadata` | object |  |
`prev` | LLNode | null |
`next` | LLNode | null |

Source:
  - data/undercomplicate/lru_cache.js, line 6